Package docking.widgets

# Class PasswordDialog

java.lang.Object
docking.DialogComponentProvider
docking.widgets.PasswordDialog

All Implemented Interfaces:
  `ActionContextProvider`, `StatusListener`, `TaskListener`

public class PasswordDialog extends DialogComponentProvider
`PasswordDialog` is a modal dialog which prompts a user for a password.

- ## Field Summary

  ### Fields inherited from class docking.DialogComponentProvider

  `applyButton, buttonPanel, cancelButton, dismissButton, okButton, rootPanel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PasswordDialog(String title, String serverType, String serverName, String passPrompt, String namePrompt, String defaultUserID)`
  Construct a new PasswordDialog.
  `PasswordDialog(String title, String serverType, String serverName, String passPrompt, String namePrompt, String defaultUserID, boolean hasMessages)`
  Construct a new PasswordDialog.
  `PasswordDialog(String title, String serverType, String serverName, String passPrompt, String namePrompt, String defaultUserID, String choicePrompt, String[] choices, int defaultChoice, boolean includeAnonymousOption)`
  Construct a new PasswordDialog.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `anonymousAccessRequested()`
  Returns true if anonymous access is requested
  `void`
  `close()`
  `void`
  `dispose()`
  Disposes this dialog.
  `int`
  `getChoice()`
  Returns index of selected choice or -1 if no choice has been made
  `char[]`
  `getPassword()`
  Return the password entered in the password field.
  `String`
  `getUserID()`
  Return the user ID entered in the password field
  `protected void`
  `okCallback()`
  The callback method for when the "OK" button is pressed.
  `boolean`
  `okWasPressed()`
  Returns true if the OK button was pressed.
  `void`
  `setErrorText(String text)`
  Display error status

  ### Methods inherited from class docking.DialogComponentProvider

  `addAction, addApplyButton, addButton, addCancelButton, addDismissButton, addOKButton, addWorkPanel, alertMessage, alertMessage, applyCallback, cancelCallback, cancelCurrentTask, clearScheduledTask, clearStatusText, closeDialog, dialogClosed, dialogShown, dismissCallback, doInitialize, escapeCallback, executeProgressTask, getActionContext, getActions, getBackground, getBounds, getComponent, getDefaultButton, getDefaultSize, getDialogSize, getFocusComponent, getGlassPane, getHelpLocation, getId, getInitialLocation, getLocationOnScreen, getParent, getPreferredSize, getRememberLocation, getRememberSize, getStatusColor, getStatusLabel, getStatusText, getTaskMonitorComponent, getTaskScheduler, getTitle, getUseSharedLocation, hideTaskMonitorComponent, isApplyEnabled, isCancelEnabled, isModal, isOKEnabled, isResizeable, isRunningTask, isShowing, isTransient, isVisible, notifyContextChanged, removeAction, removeButton, removeWorkPanel, repack, setApplyEnabled, setApplyToolTip, setBackground, setCancelButtonText, setCancelEnabled, setCancelToolTip, setCursor, setDefaultButton, setDefaultSize, setDialogSize, setDismissToolTip, setFocusComponent, setGlassPane, setHelpLocation, setInitialLocation, setMinimumSize, setMinimumSize, setOkButtonText, setOkEnabled, setOkToolTip, setPreferredSize, setRememberLocation, setRememberSize, setResizable, setStatusJustification, setStatusText, setStatusText, setStatusText, setTitle, setTransient, setUseSharedLocation, showProgressBar, showTaskMonitorComponent, stopProgressTimer, taskCancelled, taskCompleted, toFront, toString, waitForCurrentTask`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PasswordDialog

    public PasswordDialog(String title, String serverType, String serverName, String passPrompt, String namePrompt, String defaultUserID, String choicePrompt, String[] choices, int defaultChoice, boolean includeAnonymousOption)
    Construct a new PasswordDialog.
    Parameters:
      `title` - title of the dialog
      `serverType` - 'Server' or 'Key-store' designation
      `serverName` - name of server or keystore pathname
      `passPrompt` - password prompt to show in the dialog; may be null, in which case "Password:" is displayed next to the password field
      `namePrompt` - name prompt to show in the dialog, if null a name will not be prompted for.
      `defaultUserID` - default name when prompting for a name
      `choicePrompt` - namePrompt name prompt to show in the dialog, if null a name will not be prompted for.
      `choices` - array of choices to present if choicePrompt is not null
      `defaultChoice` - default choice index
      `includeAnonymousOption` - true signals to add a checkbox to request anonymous login

  - ### PasswordDialog

    public PasswordDialog(String title, String serverType, String serverName, String passPrompt, String namePrompt, String defaultUserID)
    Construct a new PasswordDialog.
    Parameters:
      `title` - title of the dialog
      `serverType` - 'Server' or 'Key-store' designation
      `serverName` - name of server or keystore pathname
      `passPrompt` - password prompt to show in the dialog; may be null, in which case "Password:" is displayed next to the password field
      `namePrompt` - name prompt to show in the dialog, if null a name will not be prompted for.
      `defaultUserID` - default name when prompting for a name

  - ### PasswordDialog

    public PasswordDialog(String title, String serverType, String serverName, String passPrompt, String namePrompt, String defaultUserID, boolean hasMessages)
    Construct a new PasswordDialog.
    Parameters:
      `title` - title of the dialog
      `serverType` - 'Server' or 'Key-store' designation
      `serverName` - name of server or keystore pathname
      `passPrompt` - password prompt to show in the dialog; may be null, in which case "Password:" is displayed next to the password field
      `namePrompt` - name prompt to show in the dialog, if null a name will not be prompted for.
      `defaultUserID` - default name when prompting for a name
      `hasMessages` - true if the client will set messages on this dialog. If true, the dialog's minimum size will be increased

- ## Method Details

  - ### setErrorText

    public void setErrorText(String text)
    Display error status
    Parameters:
      `text` - the text

  - ### getPassword

    public char[] getPassword()
    Return the password entered in the password field.
    Returns:
      the password chars

  - ### anonymousAccessRequested

    public boolean anonymousAccessRequested()
    Returns true if anonymous access is requested
    Returns:
      true if anonymous access requested

  - ### getUserID

    public String getUserID()
    Return the user ID entered in the password field
    Returns:
      the user ID entered in the password field

  - ### getChoice

    public int getChoice()
    Returns index of selected choice or -1 if no choice has been made
    Returns:
      index of selected choice or -1 if no choice has been made

  - ### okWasPressed

    public boolean okWasPressed()
    Returns true if the OK button was pressed.
    Returns:
      true if the OK button was pressed.

  - ### okCallback

    protected void okCallback()
    Description copied from class: `DialogComponentProvider`
    The callback method for when the "OK" button is pressed.
    Overrides:
      `okCallback` in class `DialogComponentProvider`

  - ### close

    public void close()
    Overrides:
      `close` in class `DialogComponentProvider`

  - ### dispose

    public void dispose()
    Description copied from class: `DialogComponentProvider`
    Disposes this dialog. Only call this when the dialog is no longer used. Calling this method will close the dialog if it is open.
    Overrides:
      `dispose` in class `DialogComponentProvider`